ocsigenserver (5.1.2-2build6) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 14:38:54 +0200

ocsigenserver (5.1.2-2build5) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:52:07 +0200

ocsigenserver (5.1.2-2build4) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2024 10:11:40 +0200

ocsigenserver (5.1.2-2build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:56:19 +0200

ocsigenserver (5.1.2-2build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Jul 2024 08:47:59 +0200

ocsigenserver (5.1.2-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 10:32:06 +0200

ocsigenserver (5.1.2-2) unstable; urgency=medium

  * Do no longer Build-Depend on libocamlnet-ocaml-dev

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jun 2024 08:10:13 +0200

ocsigenserver (5.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 14 Oct 2023 11:04:44 +0200

ocsigenserver (5.1.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
    - use ocaml-re instead of pcre-ocaml (Closes: #1042501)
  * Use ocaml_dune DH buildsystem

  [ Debian Janitor ]
  * Use secure URI in Homepage field

 -- Stéphane Glondu <glondu@debian.org>  Sat, 23 Sep 2023 12:57:54 +0200

ocsigenserver (5.0.1-3) unstable; urgency=medium

  * Team upload.
  * Fix compilation with recent dune.
  * Bump standards-version to 4.6.2
  * Add patch for compilation with recent cohttp

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 09:52:32 +0200

ocsigenserver (5.0.1-2) unstable; urgency=medium

  * Add missing Breaks+Replaces for libocsigenserver-ocaml-dev
    (Closes: #1034938)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 05 May 2023 13:38:30 +0200

ocsigenserver (5.0.1-1) unstable; urgency=medium

  * New upstream release
  * Simplify packaging
    - do no longer install default configurations and init script
    - remove maintainer scripts
    - do no longer provide httpd{,-cgi}
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jan 2022 12:54:32 +0100

ocsigenserver (2.16.1-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Debian Janitor ]
  * ocsigenserver-doc: Add Multi-Arch: foreign.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Nov 2020 05:19:59 +0100

ocsigenserver (2.16.0-3) unstable; urgency=medium

  * Add missing space in ocamlc invocation (Closes: #963461)
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Aug 2020 12:48:11 +0200

ocsigenserver (2.16.0-2) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Fri, 24 Jan 2020 13:49:24 +0100

ocsigenserver (2.16.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Update Vcs-*
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.1
  * Add Rules-Requires-Root: no
  * Remove Samuel from Uploaders

  [ Nicolas Dandrimont ]
  * d/control: remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Fri, 24 Jan 2020 11:03:53 +0100

ocsigenserver (2.7-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8
  * Bump debhelper compat to 9

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Aug 2016 17:16:49 +0200

ocsigenserver (2.6-1) unstable; urgency=medium

  * Team upload.
  * New uptsream release
  * Add libfindlib-ocaml-dev to Build-Depends
  * Bump minimal requirement on Lwt to 2.5~
  * Build-Depend on camlp4 instead of camlp4-extra
  * Build-Depend on tyxml >= 3.5.0~
  * Install README.md instead of README file (which is gone)

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 18 Oct 2015 13:27:22 +0200

ocsigenserver (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 26 Jun 2014 11:27:56 +0200

ocsigenserver (2.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Jun 2014 07:45:09 +0200

ocsigenserver (2.2.0-3) unstable; urgency=low

  * Upload to unstable (Closes: #724168)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Dec 2013 09:34:45 +0100

ocsigenserver (2.2.0-2) experimental; urgency=low

  * debian/patches:
    + Fix compilation with ocamlnet 3.6.5 (addition of netstring-pcre)
  * Compile with OCaml >= 4.01
  * Drop ocsipersist-dbm (because of OCaml >= 4)
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Nov 2013 16:48:10 +0100

ocsigenserver (2.2.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.4
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 May 2013 23:11:55 +0200

ocsigenserver (2.2-2) experimental; urgency=low

  * Bump versions in Build-Depends to use experimental packages

 -- Stéphane Glondu <glondu@debian.org>  Sat, 08 Dec 2012 11:00:21 +0100

ocsigenserver (2.2-1) experimental; urgency=low

  * New upstream release
    - remove patch (merged upstream)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Dec 2012 23:29:42 +0100

ocsigenserver (2.1-1) unstable; urgency=low

  * New upstream release (Closes: #676750)
  * Use format 1.0 in debian/copyright
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Sat, 09 Jun 2012 10:54:47 +0200

ocsigenserver (2.0.4-1) unstable; urgency=low

  * New upstream release
  * Fix FTBFS with bash as /bin/sh

 -- Stéphane Glondu <glondu@debian.org>  Sat, 17 Mar 2012 11:42:51 +0100

ocsigenserver (2.0.3a-1) unstable; urgency=low

  * New upstream release
    - the server and Eliom have been separated upstream; this package
      contains only the server (Eliom will be packaged separately)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Feb 2012 21:00:42 +0100

ocsigen (1.3.4-2) unstable; urgency=low

  * Fix wrong decoding of + in URL paths (cherry-picked from upstream)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Jul 2011 20:38:51 +0200

ocsigen (1.3.4-1) unstable; urgency=low

  * New upstream release
  * Touch .cmi files after installing the .mli files (Closes: #587300)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Sun, 29 May 2011 13:54:41 +0200

ocsigen (1.3.3-3) unstable; urgency=low

  * Do not try to install native objects on non-natdynlink architectures

 -- Stéphane Glondu <glondu@debian.org>  Fri, 22 Apr 2011 23:47:16 +0200

ocsigen (1.3.3-2) unstable; urgency=low

  * Add missing dependencies to ocsigen: libocsigen-xhtml-ocaml-dev and
    liblwt-ssl-ocaml-dev (Closes: #613372)
  * Do not compile native code version if there is no natdynlink
  * Bump debhelper compat level to 8
  * Bump Standards-Version to 3.9.1

 -- Stéphane Glondu <glondu@debian.org>  Tue, 15 Feb 2011 19:01:11 +0100

ocsigen (1.3.3-1) unstable; urgency=low

  * New upstream release
  * Move META file to libocsigen-ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sun, 13 Jun 2010 11:44:07 +0200

ocsigen (1.3.2-1) unstable; urgency=low

  * New upstream release
    - the web server should now be insensitive to the net.ipv6.bindv6only
      sysctl setting (Closes: #578216)
    - add ocsigen.xhtml* compatibility packages (Closes: #579689)
    - remove all patches (committed upstream)
    - bump build-dependency to lwt to 2.1.0
  * Remove Stefano from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Fri, 30 Apr 2010 08:39:59 +0200

ocsigen (1.3.0-4) unstable; urgency=low

  * Fix FTBFS on hppa:
    - add 0002-Do-not-compile-dbm-test-with-custom.patch
  * Fix "directory" variable in META.ocsigen_ext

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Mar 2010 23:02:28 +0100

ocsigen (1.3.0-3) unstable; urgency=low

  * Split out libocsigen-xhtml-ocaml-dev (Closes: #574887)
    - add 0001-Split-out-ocsigen_xhtml-findlib-package.patch
  * Put dynamically loaded plugins into libocsigen-ocaml
  * Fix symbolic links shipped by libocsigen-ocaml-doc

 -- Stéphane Glondu <glondu@debian.org>  Mon, 22 Mar 2010 00:52:03 +0100

ocsigen (1.3.0-2) unstable; urgency=low

  * Upload to unstable
  * This version breaks nurpawiki (<< 1.2.3-4~) because of API changes

 -- Stéphane Glondu <glondu@debian.org>  Mon, 15 Mar 2010 16:13:10 +0100

ocsigen (1.3.0-1) experimental; urgency=low

  * New upstream release
    - add libobrowser-ocaml-dev to Build-Depends
  * Switch source package format to 3.0 (quilt)
  * Bump Standards-Version to 3.8.4 (no changes)
  * Add dependency to remote_fs in initscript
  * Compile the doc only when libocsigen-ocaml-doc is being built

 -- Stéphane Glondu <glondu@debian.org>  Sun, 07 Mar 2010 14:05:31 +0100

ocsigen (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Major overhaul of binary packages: libocsigen-ocaml{,-dev,-doc} is now
    treated as a regular library (Closes: #517303), without dependency to
    the web server itself; ocsigen-dev is kept as a metapackage that
    depends on the web server
  * Switch packaging to dh-ocaml 0.9
  * Handle /var/log/ocsigen in maintainer scripts:
    - create an empty log when installing (Closes: #550324)
    - remove log files on purging (policy 10.8)
  * Upload to unstable (Closes: #551236)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 21 Oct 2009 18:19:59 +0200

ocsigen (1.2.1-1) experimental; urgency=low

  * New upstream release:
    - remove all patches (merged upstream)
  * Update watch file
  * Change dependency to liblwt-ocaml in ocsigen

 -- Stéphane Glondu <glondu@debian.org>  Sat, 26 Sep 2009 13:56:22 +0200

ocsigen (1.2.0-3+lwt.1) experimental; urgency=low

  * Update my e-mail address and remove DMUA
  * Update dependencies to lwt

 -- Stéphane Glondu <glondu@debian.org>  Sun, 30 Aug 2009 20:17:39 +0200

ocsigen (1.2.0-3+lwt.0) experimental; urgency=low

  * Build with experimental lwt:
    - add patches Fix-ocsipersist-dbm-Makefile and Adapt-for-lwt-2
    - add versioned (build-)dependency

 -- Stephane Glondu <steph@glondu.net>  Fri, 21 Aug 2009 10:51:52 +0200

ocsigen (1.2.0-3) unstable; urgency=low

  * Changes in dependencies of the ocsigen binary package:
    - add lib{ssl,pcre,ocamlnet}-ocaml (Closes: #536865)
    - change lib{sqlite3,cryptokit,zip}-ocaml-dev to their non-dev
      counterparts, and add versioned dependencies
  * Update Standards-Version to 3.8.3 (no changes)

 -- Stephane Glondu <steph@glondu.net>  Fri, 21 Aug 2009 10:35:02 +0200

ocsigen (1.2.0-2) unstable; urgency=low

  * Fix build on non-native architectures

 -- Stephane Glondu <steph@glondu.net>  Thu, 02 Jul 2009 10:02:08 +0200

ocsigen (1.2.0-1) unstable; urgency=low

  * New upstream release:
    - new patches:
      + fix typo in configure script
      + fix build with pcre-ocaml 6.0.0
    - add dependency on quilt
    - add README.source file
  * Enable OCamlDuce support
  * Enable native code support
  * Add versioned dependency on libpcre-ocaml-dev
  * Install sample configuration files with examples
  * Update Standards-Version to 3.8.2
  * Add versioned dependencies to ease OCaml 3.11.1 transition

 -- Stephane Glondu <steph@glondu.net>  Wed, 01 Jul 2009 21:49:21 +0200

ocsigen (1.1.0-2) unstable; urgency=low

  [ Samuel Mimram ]
  * Use dh-ocaml predefined variables in rules.

  [ Stephane Glondu ]
  * Add Provides: httpd, httpd-cgi to ocsigen binary package
  * Update Build-Depends for OCaml 3.11.0 transition
  * Force -custom when linking ocsigen
  * Use more recent features of debhelper 7
  * Install sources of examples in ocsigen-doc
  * debian/ocsigen.init:
    - check if daemon is already running, as per new policy
    - add status command to initscript
    - add dependency on procps
  * Bump Standards-Version to 3.8.1

 -- Stephane Glondu <steph@glondu.net>  Fri, 13 Mar 2009 18:19:19 +0100

ocsigen (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Switching packaging to git.

 -- Stephane Glondu <steph@glondu.net>  Wed, 23 Jul 2008 14:08:42 +0200

ocsigen (1.1.0~rc1-1) unstable; urgency=low

  * New upstream release.
  * Remove liblwt-ocaml-dev binary package, as it has its own source
    package now.
  * Add support for update hooks in /etc/ocsigen/update.d.
  * Add DM-Upload-Allowed field to debian/control.
  * Ship .mli files in ocsigen-dev.
  * Do not ship files under /var/www (as complained by lintian)
    (Closes: #485566).
  * Remove dependency to dpatch.
  * Bump Standards-Version to 3.8.0 and debhelper compatibility level
    to 7 (no changes).
  * Update debian/copyright to
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Add README.Debian.

 -- Stephane Glondu <steph@glondu.net>  Mon, 07 Jul 2008 23:05:01 +0200

ocsigen (1.0.0-1) unstable; urgency=low

  [ Samuel Mimram ]
  * Handle RC versions in watch file.

  [ Stephane Glondu ]
  * New upstream release (ready for OCaml 3.10.2).

 -- Stephane Glondu <steph@glondu.net>  Tue, 01 Apr 2008 16:54:47 +0200

ocsigen (1.0.0~rc2-1) unstable; urgency=low

  * New upstream release.
  * Add dependency on ocaml-findlib to ocsigen binary package.
  * Add dependency on psmisc to ocsigen binary package (for fuser).
  * Add versioned dependency on ocsigen to ocsigen-dev.
  * Change dependency on libzip-ocaml-dev from Suggests to Depends.
  * Upstream Makefile now installs native version of Lwt if available
    and provides a `distclean' target; cleaning debian/rules
    accordingly.
  * Remove files generated by debian/rules during cleanup.
  * Use *.install files to dispatch files between binary packages.
  * Install missing /var/lib/ocsigen.

 -- Stephane Glondu <steph@glondu.net>  Mon, 24 Mar 2008 21:59:03 +0100

ocsigen (0.99.5-2) unstable; urgency=medium

  [ Stephane Glondu ]
  * Updating debian/copyright with all upstream authors.
  * Adding dependencies to ocsigen binary package to cope with dynamic
    loading.
  * Removing bogus dependency of ocsigen-doc to ocaml-nox
    (Closes: #469285).
  * Precising description of ocsigen-doc binary package.
  * Fix lintian warning build-depends-on-1-revision (libssl-ocaml-dev).
  * Build and install native version of Lwt (Closes: #467618).
  * Delete *depend files during cleanup.

  [ Stefano Zacchiroli ]
  * bump the urgency to medium for the OCaml 3.10.1 transition.
  * adding myself to the Uploaders.

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 04 Mar 2008 17:06:17 +0100

ocsigen (0.99.5-1) unstable; urgency=low

  * New upstream release.
  * Compatibility with dash in debian/rules.
  * Put d-o-m as maintainer, and Samuel and me as uploaders.
  * Setting priority of liblwt-ocaml-dev and ocsigen-dev to extra.

 -- Stephane Glondu <steph@glondu.net>  Fri, 11 Jan 2008 00:45:05 +0100

ocsigen (0.99.4-2) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Stéphane Glondu ]
  * Split out the Lwt modules into liblwt-ocaml-dev, closes: #452908.
  * Added package ocsigen-dev.

 -- Samuel Mimram <smimram@debian.org>  Wed, 02 Jan 2008 12:45:19 +0000

ocsigen (0.99.4-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Wed, 21 Nov 2007 21:05:15 +0000

ocsigen (0.99.3-3) unstable; urgency=low

  * Split documentation into ocsigen-doc, closes: #451517.

 -- Samuel Mimram <smimram@debian.org>  Sat, 17 Nov 2007 17:37:18 +0000

ocsigen (0.99.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Samuel Mimram <smimram@debian.org>  Fri, 16 Nov 2007 19:16:41 +0000

ocsigen (0.99.3-1) experimental; urgency=low

  * New upstream release.
  * Updated watch file, closes: 450325.

 -- Samuel Mimram <smimram@debian.org>  Wed, 07 Nov 2007 10:36:15 +0000

ocsigen (0.99.2-3) unstable; urgency=low

  * promote Homepage to a real debian/control field

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 21 Sep 2007 09:57:11 +0200

ocsigen (0.99.2-2) unstable; urgency=low

  * Rebuild with OCaml 3.10.

 -- Samuel Mimram <smimram@debian.org>  Mon, 10 Sep 2007 02:58:12 +0200

ocsigen (0.99.2-1) unstable; urgency=low

  * New upstream release.
  * Added libsqlite3-ocaml-dev as build-dependency.
  * Cleanly builds twice in a row, closes: #424382.

 -- Samuel Mimram <smimram@debian.org>  Mon, 27 Aug 2007 12:57:15 +0200

ocsigen (0.99.1-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Tue, 15 May 2007 19:40:12 +0200

ocsigen (0.99.0-1) unstable; urgency=low

  * New upstream release.
  * Build with ocamlnet >= 2.0.
  * Added a build-dependency on libgdbm-dev.

 -- Samuel Mimram <smimram@debian.org>  Thu, 03 May 2007 21:56:52 +0200

ocsigen (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Removed no-chown.dpatch.

 -- Samuel Mimram <smimram@debian.org>  Tue, 13 Mar 2007 19:09:49 +0100

ocsigen (0.6.0~rc1-2) experimental; urgency=low

  * Added no-chown.dpatch in order for the Makefile not to try to chown files
    during installation, closes: #413301.

 -- Samuel Mimram <smimram@debian.org>  Thu,  8 Mar 2007 22:28:33 +0100

ocsigen (0.6.0~rc1-1) experimental; urgency=low

  * New upstream release.
  * Bumped build-dependency on libocamlnet-ocaml-dev.
  * Removed depend.dpatch, integrated upstream.
  * Removed manpage from package, integrated upstream.

 -- Samuel Mimram <smimram@debian.org>  Fri,  2 Mar 2007 20:11:10 +0100

ocsigen (0.5.1-2) unstable; urgency=low

  * Using dpatch to handle patches.
  * Added depends.dpatch in order to really solve the compilation problem with
    -rsudo, closes: #403132.

 -- Samuel Mimram <smimram@debian.org>  Mon, 18 Dec 2006 09:41:22 +0000

ocsigen (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Should build cleanly with sudo rights, closes: #403132.

 -- Samuel Mimram <smimram@debian.org>  Sun, 17 Dec 2006 16:49:34 +0000

ocsigen (0.5.0-1) unstable; urgency=low

  * New upstream release. Uploading to unstable.
  * Correctly specifying path for examples, closes: #399885.
  * Program is now under LGPL with exceptions, updated copyright file.
  * Ocsigen is now daemonizing and creating pid files by his own, updated
    init.d script.

 -- Samuel Mimram <smimram@debian.org>  Tue, 21 Nov 2006 21:58:25 +0000

ocsigen (0.5.0~rc1-1) experimental; urgency=low

  * New upstream release.
  * Added a build-dependency on libssl-ocaml-dev.

 -- Samuel Mimram <smimram@debian.org>  Tue, 21 Nov 2006 21:24:39 +0000

ocsigen (0.4.0.2-1) experimental; urgency=low

  * Initial release, closes: #387454.

 -- Samuel Mimram <smimram@debian.org>  Thu, 14 Sep 2006 13:41:04 +0000
